Create an Attachment
curl --request POST \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: */*' \
--data '
{
"attachment": "a97cfe4c-8ce3-4f67-ad17-a17f6087663a",
"description": "Network log file for analysis",
"name": "Network Log File",
"type": "Network Log"
}
'import requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments"
payload = {
"attachment": "a97cfe4c-8ce3-4f67-ad17-a17f6087663a",
"description": "Network log file for analysis",
"name": "Network Log File",
"type": "Network Log"
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': '*/*'},
body: JSON.stringify({
attachment: 'a97cfe4c-8ce3-4f67-ad17-a17f6087663a',
description: 'Network log file for analysis',
name: 'Network Log File',
type: 'Network Log'
})
};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attachment": "a97cfe4c-8ce3-4f67-ad17-a17f6087663a",
"description": "Network log file for analysis",
"name": "Network Log File",
"type": "Network Log"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Case Management
Create an Attachment
API endpoint to create a new attachment in Blink’s case management system.
POST
/
workspace
/
{ws_id}
/
case_management
/
table
/
attachments
Create an Attachment
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Body
*/*
Attachment Data
Was this page helpful?
⌘I